com.mapinfo.midev.style

## Interface IRasterStyle

All Superinterfaces:
  ICopiable, IStyle, Serializable

    public interface IRasterStyle
    extends IStyle

A style for rasters.

### Field Summary

Fields
`static IRasterStyle` `NONE`

### Method Summary

All Methods Instance Methods Abstract Methods
`Number` `getBrightness()` Returns the brightness to be applied to a raster.
`Number` `getContrast()` Returns the contrast to be applied to the raster.
`IRasterStyle` `getCopy()` Returns a 'deep', stand-alone copy of this `IStyle`.
`Number` `getOpacity()` Returns the current opacity to be applied to a raster.
`Boolean` `getRenderGrayscale()` Returns `true` if the raster is to be rendered as grayscale.
`Color` `getTransparentColor()` Returns the transparent color to be applied to the raster.
`Boolean` `isTransparentColorEnabled()` Returns `true` if the raster is to be rendered with a transparent color.
`void` `setBrightness(Number brightness)` Sets the brightness to be applied to a raster.
`void` `setContrast(Number contrast)` Sets the contrast to be applied to the raster.
`void` `setOpacity(Number opacity)` Sets the current opacity to be applied to a raster.
`void` `setRenderGrayscale(Boolean renderGrayscale)` Sets whether the raster is to be rendered as grayscale.
`void` `setTransparentColor(Color transparentColor)` Sets the transparent color to be applied to the raster.
`void` `setTransparentColorEnabled(Boolean enableTransparentColor)` Sets whether the raster is to be rendered with a transparent color.

### Field Detail

#### NONE

    static final IRasterStyle NONE

### Method Detail

#### getOpacity

    Number getOpacity()

Returns the current opacity to be applied to a raster.

Returns:
  the current opacity to be applied to a raster.

#### setOpacity

    void setOpacity(Number opacity)

Sets the current opacity to be applied to a raster. Normally ranges between 0 and 1. 0 the raster is completely transparent and 1 the raster is completely opaque. The default opacity is 1.

Parameters:
  `opacity` - the opacity to be applied to a raster.

#### getBrightness

    Number getBrightness()

Returns the brightness to be applied to a raster.

Returns:
  the brightness to be applied to a raster.

#### setBrightness

    void setBrightness(Number brightness)

Sets the brightness to be applied to a raster. Normally ranges between 0 and 1. 0 meaning that the raster will be displayed completely black, 0.5 meaning the raster's brightness will be untouched and 1 meaning that the raster will be almost completely white.

Parameters:
  `brightness` - the brightness to be applied to a raster. Normally ranges between 0 and 1.

#### getContrast

    Number getContrast()

Returns the contrast to be applied to the raster. Normally ranges between 0 and 1.

Returns:
  the contrast to be applied to the raster. Normally ranges between 0 and 1.

#### setContrast

    void setContrast(Number contrast)

Sets the contrast to be applied to the raster. Normally ranges between 0 and 1. 0 meaning their is no contrast between pixels in the raster, 0.5 meaning that raster's contrast will be untouched and 1 meaning maximum contrast will be applied to the raster.

Parameters:
  `contrast` - the contrast to be applied to the raster. Normally ranges between 0 and 1.

#### getRenderGrayscale

    Boolean getRenderGrayscale()

Returns `true` if the raster is to be rendered as grayscale.

Returns:
  `true` if the raster is to be rendered as grayscale.

#### setRenderGrayscale

    void setRenderGrayscale(Boolean renderGrayscale)

Sets whether the raster is to be rendered as grayscale.

Parameters:
  `renderGrayscale` - `true` if the raster is to be rendered as grayscale.

#### getTransparentColor

    Color getTransparentColor()

Returns the transparent color to be applied to the raster.

Returns:
  the transparent color to be applied to the raster.
See Also:
  `IRasterStyle.isTransparentColorEnabled()`

#### setTransparentColor

    void setTransparentColor(Color transparentColor)

Sets the transparent color to be applied to the raster.

Parameters:
  `transparentColor` - the transparent color to be applied to the raster.
See Also:
  `IRasterStyle.setTransparentColorEnabled(Boolean)`

#### isTransparentColorEnabled

    Boolean isTransparentColorEnabled()

Returns `true` if the raster is to be rendered with a transparent color.

Returns:
  `true` if the raster is to be rendered with a transparent color.
See Also:
  `IRasterStyle.getTransparentColor()`

#### setTransparentColorEnabled

    void setTransparentColorEnabled(Boolean enableTransparentColor)

Sets whether the raster is to be rendered with a transparent color.

Parameters:
  `enableTransparentColor` - `true` if the raster is to be rendered with a transparent color.
See Also:
  `IRasterStyle.setTransparentColor(Color)`

#### getCopy

    IRasterStyle getCopy()

Description copied from interface: `IStyle`
Returns a 'deep', stand-alone copy of this `IStyle`. Changes to the returned `IStyle` will have no effect on this `IStyle` and vise-versa.

Specified by:
  `getCopy` in interface `ICopiable`
Specified by:
  `getCopy` in interface `IStyle`
Returns:
  a 'deep', stand-alone copy of this `IStyle`.